Last Comment Bug 866081 - about:plugins changing header page (enhancement)
: about:plugins changing header page (enhancement)
Status: VERIFIED FIXED
[mentor=bsmedberg][good first bug]
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: unspecified
: All All
: P3 enhancement (vote)
: mozilla23
Assigned To: Maria Grazia Alastra [:mga]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-26 06:47 PDT by Tiziana Sellitto [:tiziana]
Modified: 2013-05-02 04:42 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Change two labels in plugins.properties, replacing "enabled" with "installed" (1.21 KB, patch)
2013-04-27 12:04 PDT, Maria Grazia Alastra [:mga]
benjamin: review-
Details | Diff | Splinter Review
Change two labels and their names in plugins.properties, replacing "enabled" with "installed" (2.36 KB, patch)
2013-04-30 10:01 PDT, Maria Grazia Alastra [:mga]
benjamin: review+
Details | Diff | Splinter Review

Description Tiziana Sellitto [:tiziana] 2013-04-26 06:47:32 PDT
1. Open Firefox
2. Go to about:plugins page
3. The header says "Enabled plugins"

Expected Result: 
Given that in that page are listed plugins with state enabled/disabled couldn't be better the header "Installed plugins" or a separation between enabled and disabled plugins?.
Comment 1 Benjamin Smedberg [:bsmedberg] 2013-04-26 06:52:34 PDT
Evilpie, wasn't this part of my review comments at https://bugzilla.mozilla.org/show_bug.cgi?id=661961#c8 ?
Comment 2 Maria Grazia Alastra [:mga] 2013-04-26 07:51:38 PDT
Hi, I would be interested in realizing this enhancement, is the page written in HTML5 + JavaScript? What IRC channel do I need to join in order to talk further about what needs to be done?
I can start tomorrow :)
Comment 3 Maria Grazia Alastra [:mga] 2013-04-27 12:04:01 PDT
Created attachment 742727 [details] [diff] [review]
Change two labels in plugins.properties, replacing "enabled" with "installed"
Comment 4 Benjamin Smedberg [:bsmedberg] 2013-04-30 07:47:19 PDT
Comment on attachment 742727 [details] [diff] [review]
Change two labels in plugins.properties, replacing "enabled" with "installed"

Somewhere in our localization guidelines it says that when you change the meaning of a string (such as enabledplugins_label in this case) you should change the string name also. I think you should change the name to installedplugins_label (ditto nopluginsareinstalled_label).
Comment 5 Maria Grazia Alastra [:mga] 2013-04-30 10:01:48 PDT
Created attachment 743704 [details] [diff] [review]
Change two labels and their names in plugins.properties, replacing "enabled" with "installed"

Now I changed also the label names.
Comment 6 Benjamin Smedberg [:bsmedberg] 2013-04-30 10:48:47 PDT
Thanks for the patch!
Comment 7 Ryan VanderMeulen [:RyanVM] 2013-04-30 12:14:45 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/52669c3bc4a0
Comment 8 Ryan VanderMeulen [:RyanVM] 2013-04-30 18:59:56 PDT
https://hg.mozilla.org/mozilla-central/rev/52669c3bc4a0
Comment 9 Mihai Morar, (:MihaiMorar) 2013-05-02 04:42:38 PDT
I confirm this is fixed on Latest Nightly on Windows 7 x64, Mac OS 10.8.3 and Ubuntu 12.10:

Build ID:20130501085824

Note You need to log in before you can comment on or make changes to this bug.